[arch-commits] Commit in gnome-python-extras/repos (4 files)

Jan de Groot jgc at archlinux.org
Sun Jun 22 18:40:41 UTC 2008


    Date: Sunday, June 22, 2008 @ 14:40:41
  Author: jgc
Revision: 3438

Update

Added:
  gnome-python-extras/repos/extra-x86_64/gnome-python-extras-2.19.1-pkg-config.patch
    (from rev 3390, gnome-python-extras/trunk/gnome-python-extras-2.19.1-pkg-config.patch)
  gnome-python-extras/repos/extra-x86_64/gnome-python-extras-2.19.1-xulrunner.patch
    (from rev 3390, gnome-python-extras/trunk/gnome-python-extras-2.19.1-xulrunner.patch)
Modified:
  gnome-python-extras/repos/extra-x86_64/	(properties)
  gnome-python-extras/repos/extra-x86_64/PKGBUILD

---------------------------------------------+
 PKGBUILD                                    |   18 +++++--
 gnome-python-extras-2.19.1-pkg-config.patch |   61 ++++++++++++++++++++++++++
 gnome-python-extras-2.19.1-xulrunner.patch  |   22 +++++++++
 3 files changed, 95 insertions(+), 6 deletions(-)


Property changes on: gnome-python-extras/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /gnome-python-extras/trunk:1-1308
   + /gnome-python-extras/trunk:1-3437

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-06-22 18:37:17 UTC (rev 3437)
+++ extra-x86_64/PKGBUILD	2008-06-22 18:40:41 UTC (rev 3438)
@@ -3,20 +3,26 @@
 
 pkgname=gnome-python-extras
 pkgver=2.19.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Gnome Python interfaces for libraries not part of the core platform"
 arch=(i686 x86_64)
 license=('GPL' 'LGPL')
-depends=('gnome-python>=2.22.0')
-makedepends=('libgtkhtml' 'gtkspell' 'gdl' 'xulrunner' 'libgksu' 'pkgconfig')
+depends=('gnome-python>=2.22.1')
+makedepends=('libgtkhtml' 'gtkspell' 'gdl' 'xulrunner>=1.9' 'libgksu' 'pkgconfig')
 options=('!libtool')
-source=(http://ftp.gnome.org/pub/gnome/sources/gnome-python-extras/2.19/gnome-python-extras-${pkgver}.tar.bz2)
+source=(http://ftp.gnome.org/pub/gnome/sources/gnome-python-extras/2.19/gnome-python-extras-${pkgver}.tar.bz2
+	gnome-python-extras-2.19.1-pkg-config.patch
+	gnome-python-extras-2.19.1-xulrunner.patch)
 url="http://www.daa.com.au/~james/pygtk/"
-md5sums=('08896c63d71ce44d20fafbaf9c0edc78')
+md5sums=('08896c63d71ce44d20fafbaf9c0edc78'
+         'be993cc1e60c090c58db8317a1862213'
+         '73657335e522f361d08ccc4899d279d6')
 
 build() {
   cd ${startdir}/src/gnome-python-extras-${pkgver}
+  patch -Np1 -i ${srcdir}/gnome-python-extras-2.19.1-pkg-config.patch || return 1
+  patch -Np1 -i ${srcdir}/gnome-python-extras-2.19.1-xulrunner.patch || return 1
   ./configure --prefix=/usr --with-gtkmozembed=xulrunner || return 1
-  make LDFLAGS+=-R/usr/lib/xulrunner || return 1 
+  make MOZILLA_HOME=/usr/lib/xulrunner-1.9 || return 1 
   make DESTDIR=${startdir}/pkg install || return 1
 }

Copied: gnome-python-extras/repos/extra-x86_64/gnome-python-extras-2.19.1-pkg-config.patch (from rev 3390, gnome-python-extras/trunk/gnome-python-extras-2.19.1-pkg-config.patch)
===================================================================
--- extra-x86_64/gnome-python-extras-2.19.1-pkg-config.patch	                        (rev 0)
+++ extra-x86_64/gnome-python-extras-2.19.1-pkg-config.patch	2008-06-22 18:40:41 UTC (rev 3438)
@@ -0,0 +1,61 @@
+diff -up gnome-python-extras-2.19.1/configure.pkg-config gnome-python-extras-2.19.1/configure
+--- gnome-python-extras-2.19.1/configure.pkg-config	2008-01-12 21:07:56.000000000 -0500
++++ gnome-python-extras-2.19.1/configure	2008-01-12 21:09:49.000000000 -0500
+@@ -22096,14 +22096,14 @@ if test -n "$PKG_CONFIG"; then
+         pkg_cv_GTKMOZEMBED_CFLAGS="$GTKMOZEMBED_CFLAGS"
+     else
+         if test -n "$PKG_CONFIG" && \
+-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\$mozpackage-gtkmozembed >= \$mozpackage_required_version,
++    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\mozilla-gtkmozembed >= \$mozpackage_required_version,
+                                 gtk+-2.0                >= 2.4.0\"") >&5
+-  ($PKG_CONFIG --exists --print-errors "$mozpackage-gtkmozembed >= $mozpackage_required_version,
++  ($PKG_CONFIG --exists --print-errors "mozilla-gtkmozembed >= $mozpackage_required_version,
+                                 gtk+-2.0                >= 2.4.0") 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; then
+-  pkg_cv_GTKMOZEMBED_CFLAGS=`$PKG_CONFIG --cflags "$mozpackage-gtkmozembed >= $mozpackage_required_version,
++  pkg_cv_GTKMOZEMBED_CFLAGS=`$PKG_CONFIG --cflags "mozilla-gtkmozembed >= $mozpackage_required_version,
+                                 gtk+-2.0                >= 2.4.0" 2>/dev/null`
+ else
+   pkg_failed=yes
+@@ -22117,14 +22117,14 @@ if test -n "$PKG_CONFIG"; then
+         pkg_cv_GTKMOZEMBED_LIBS="$GTKMOZEMBED_LIBS"
+     else
+         if test -n "$PKG_CONFIG" && \
+-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\$mozpackage-gtkmozembed >= \$mozpackage_required_version,
++    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\mozilla-gtkmozembed >= \$mozpackage_required_version,
+                                 gtk+-2.0                >= 2.4.0\"") >&5
+-  ($PKG_CONFIG --exists --print-errors "$mozpackage-gtkmozembed >= $mozpackage_required_version,
++  ($PKG_CONFIG --exists --print-errors "mozilla-gtkmozembed >= $mozpackage_required_version,
+                                 gtk+-2.0                >= 2.4.0") 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; then
+-  pkg_cv_GTKMOZEMBED_LIBS=`$PKG_CONFIG --libs "$mozpackage-gtkmozembed >= $mozpackage_required_version,
++  pkg_cv_GTKMOZEMBED_LIBS=`$PKG_CONFIG --libs "mozilla-gtkmozembed >= $mozpackage_required_version,
+                                 gtk+-2.0                >= 2.4.0" 2>/dev/null`
+ else
+   pkg_failed=yes
+@@ -22144,10 +22144,10 @@ else
+         _pkg_short_errors_supported=no
+ fi
+         if test $_pkg_short_errors_supported = yes; then
+-	        GTKMOZEMBED_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "$mozpackage-gtkmozembed >= $mozpackage_required_version,
++	        GTKMOZEMBED_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "mozilla-gtkmozembed >= $mozpackage_required_version,
+                                 gtk+-2.0                >= 2.4.0"`
+         else
+-	        GTKMOZEMBED_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$mozpackage-gtkmozembed >= $mozpackage_required_version,
++	        GTKMOZEMBED_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "mozilla-gtkmozembed >= $mozpackage_required_version,
+                                 gtk+-2.0                >= 2.4.0"`
+         fi
+ 	# Put the nasty error message in config.log where it belongs
+@@ -22179,7 +22179,7 @@ fi
+ if test -n "$export_dynamic"; then
+   GTKMOZEMBED_LIBS=`echo $GTKMOZEMBED_LIBS | sed -e "s/$export_dynamic//"`
+ fi
+-MOZILLA_HOME="`$PKG_CONFIG --variable=libdir $mozpackage-gtkmozembed`"
++MOZILLA_HOME="`$PKG_CONFIG --variable=libdir mozilla-gtkmozembed`"
+ 
+ 
+ 

Copied: gnome-python-extras/repos/extra-x86_64/gnome-python-extras-2.19.1-xulrunner.patch (from rev 3390, gnome-python-extras/trunk/gnome-python-extras-2.19.1-xulrunner.patch)
===================================================================
--- extra-x86_64/gnome-python-extras-2.19.1-xulrunner.patch	                        (rev 0)
+++ extra-x86_64/gnome-python-extras-2.19.1-xulrunner.patch	2008-06-22 18:40:41 UTC (rev 3438)
@@ -0,0 +1,22 @@
+diff -up gnome-python-extras-2.19.1/docs/gtkmozembed/html/class-gtkmozembed.html.old gnome-python-extras-2.19.1/docs/gtkmozembed/html/class-gtkmozembed.html
+diff -up gnome-python-extras-2.19.1/docs/gtkmozembed/html/pygtkmozembed.devhelp.old gnome-python-extras-2.19.1/docs/gtkmozembed/html/pygtkmozembed.devhelp
+diff -up gnome-python-extras-2.19.1/docs/gtkmozembed/gtkmozembed-gtkmozembed.xml.old gnome-python-extras-2.19.1/docs/gtkmozembed/gtkmozembed-gtkmozembed.xml
+diff -up gnome-python-extras-2.19.1/gtkmozembed/gtkmozembed.override.old gnome-python-extras-2.19.1/gtkmozembed/gtkmozembed.override
+diff -up gnome-python-extras-2.19.1/gtkmozembed/gtkmozembed.defs.old gnome-python-extras-2.19.1/gtkmozembed/gtkmozembed.defs
+--- gnome-python-extras-2.19.1/gtkmozembed/gtkmozembed.defs.old	2007-06-05 16:52:30.000000000 +0200
++++ gnome-python-extras-2.19.1/gtkmozembed/gtkmozembed.defs	2007-11-27 12:54:42.000000000 +0100
+@@ -123,6 +123,14 @@
+   )
+ )
+ 
++(define-function set_path
++  (c-name "gtk_moz_embed_set_path")
++  (return-type "none")
++  (parameters
++    '("char*" "aPath")
++  )
++)
++
+ (define-function gtk_moz_embed_set_profile_path
+   (c-name "gtk_moz_embed_set_profile_path_deprecated")
+   (return-type "none")





More information about the arch-commits mailing list